REQUIREMENTS update.
authorAndre Noll <maan@systemlinux.org>
Wed, 17 Feb 2010 06:40:41 +0000 (07:40 +0100)
committerAndre Noll <maan@systemlinux.org>
Wed, 17 Feb 2010 06:40:41 +0000 (07:40 +0100)
REQUIREMENTS

index 1991737..a9aedcd 100644 (file)
@@ -1,24 +1,25 @@
 Requirements
 ============
 
-In any case you need
+In any case you'll need
 
-       - libosl: If you are compiling from git the osl sources should
-         have been cloned automatically. It is also available for
-         download from http://git.tuebingen.mpg.de/osl. Or run the
-         command "git clone git://git.tuebingen.mpg.de/osl"
-       - gcc, the gnu compiler collection (shipped with distro): gcc-3.3
+       - *libosl*, the object storage layer: Used by para_server. It is
+         available from http://git.tuebingen.mpg.de/osl. Alternatively,
+         execute "git clone git://git.tuebingen.mpg.de/osl".
+
+       - *gcc*, the gnu compiler collection (shipped with distro): gcc-3.3
          or newer is required.
-       - gnu make (shipped with disto, might be called gmake)
-       - bash (most likely already installed)
-       - A decent version of grep. Solaris' /bin/grep is not good enough,
-         /usr/xpg4/bin/grep is fine though.
-       - openssl (needed by server, client): usually shipped with
+
+       - *gnu make* (shipped with disto, might be called gmake on BSD systems)
+
+       - *bash* (most likely already installed)
+
+       - *openssl* (needed by server, client): usually shipped with
          distro, but you might have to install the "development package"
          (called libssl-dev on debian systems) as well:
          http://www.openssl.org/
-       - help2man (for man page creation) ftp://ftp.gnu.org/pub/gnu/help2man
-       - software mixing, e.g. ALSA and the direct mixing plugin (dmix)
+
+       - *help2man* (for man page creation) ftp://ftp.gnu.org/pub/gnu/help2man
 
 Optional features: